Bug 1775757 - KubeAPI server doesn't accept patch requests > 1MB
Summary: KubeAPI server doesn't accept patch requests > 1MB
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.z
Assignee: Stefan Schimanski
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1775736
Blocks: 1776226
TreeView+ depends on / blocked
 
Reported: 2019-11-22 17:48 UTC by Lukasz Szaszkiewicz
Modified: 2019-12-04 12:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-04 12:32:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24191 'None' 'closed' 'Bug 1775757: KubeAPI server doesn''t accept large patch requests' 2019-12-02 14:23:08 UTC
Red Hat Product Errata RHBA-2019:3956 None None None 2019-12-04 12:32:22 UTC

Description Lukasz Szaszkiewicz 2019-11-22 17:48:13 UTC
The following PR[1] fixes bounds checking of large JSON patches in KubeAPI server. Before that sending/applying large (1 MB) patches were not possible[2]. The PR has been already backported to the master branch [3]

[1]https://github.com/kubernetes/kubernetes/pull/84963/files
[2]https://github.com/kubernetes/kubernetes/issues/84908
[3]https://github.com/openshift/origin/pull/24183

Comment 3 Xingxing Xia 2019-11-27 07:45:02 UTC
Verified in 4.1.0-0.nightly-2019-11-26-194052 env using the verification steps of bug 1775736.

Comment 5 errata-xmlrpc 2019-12-04 12:32:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3956


Note You need to log in before you can comment on or make changes to this bug.